Package: groovy.swing.factory

## [Groovy] Class RootPaneContainerFactory

- groovy.swing.factory.RootPaneContainerFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON` |
    `static String` | `DELEGATE_PROPERTY_DEFAULT_BUTTON` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)`
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

    - #### public static final String DELEGATE_PROPERTY_DEFAULT_BUTTON

  - ### Method Detail

    - #### void handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)